This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Log Level API

Retrieve the runtime log level.

    Method

    GET

    URL

    http://{Host Address}/log

    Returns the current runtime logging level.

    Query Parameters

    None

    Sample Request

    curl -X GET "http://<Host_address>/log"
         
    import requests
        
        url = "http://<Host_address>/log"
        response = requests.get(url, verify=False)
        
        print("Status code:", response.status_code)
        try:
            print("Response JSON:", response.json())
        except ValueError:
            print("Response Text:", response.text)
        
    URL: GET `http://<Host_address>/log`

    Sample Response

    {
      "level": "info"
    }

    Response Fields Description

    NameDescription
    levelThe current log level. Possible values: debug, info, warn.

    Response Codes

    CodeDescription
    200Log level information retrieved successfully.